Navigacija
Lista poslednjih: 16, 32, 64, 128 poruka.

AutoCAD 14 i VB6

[es] :: Visual Basic 6 :: AutoCAD 14 i VB6

[ Pregleda: 3878 | Odgovora: 4 ] > FB > Twit

Postavi temu Odgovori

Autor

Pretraga teme: Traži
Markiranje Štampanje RSS

anebojsa
Bgd

Član broj: 16174
Poruke: 84
*.vdial.verat.net.



Profil

icon AutoCAD 14 i VB611.03.2005. u 19:57 - pre 183 meseci
Hteo bih preko VB-a da unesem neki podatak u AutoCAD
potreban mi je kod za:

- tacku
- liniju
- tekst

'zakacena referenca AutoCAD Object Library
'Template Drawing.dwt

Option Explicit
Public acApp As Object 'Aplikacija
Public acDoc As Object 'Dokument
Public acPoi As AutoCAD.IAcadPoint 'tacka
Public acLin As AutoCAD.IAcadLine 'linija
Public acTex As AutoCAD.IAcadText 'tekst

Private Sub Form_Load()

Set acApp = CreateObject("Autocad.Application")
Set acDoc = acApp.ActiveDocument

acApp.Visible = False
acDoc.Open App.Path & "\Drawing.dwt"

'cod za tacku

'cod za liniju

'cod za tekst


trazio sam na sajtovima:

www.vbcode.com
www.freevbcode.com
www.a1vbcode.com
www.codearchive.com

par kodova sam nasao i nista mi nije pomoglo.
 
Odgovor na temu

cikiste

Član broj: 19599
Poruke: 62
*.ptt.yu.



Profil

icon Re: AutoCAD 14 i VB611.03.2005. u 20:36 - pre 183 meseci
Citat:




trazio sam na sajtovima:

www.vbcode.com
www.freevbcode.com
www.a1vbcode.com
www.codearchive.com

par kodova sam nasao i nista mi nije pomoglo.



... ali nisi trazio u helpu. Uz Acad, da ne gresim dusu, verzija 14 ili 2k dolazi veoma dobar help u kome su obradjeni primeri koda u VBA pod Acadom ali i VB-om, Visual Lisp-om i sl. Deo mog diplomskog sam odradio pod VBA Acad 2k i to je sljakalo Ok.

Pozdrav,
Ivan.
 
Odgovor na temu

anebojsa
Bgd

Član broj: 16174
Poruke: 84
*.vdial.verat.net.



Profil

icon Re: AutoCAD 14 i VB612.03.2005. u 21:11 - pre 183 meseci
Zar niko nije pravio vezu izmedju Visual Basic-a i AutoCAD-a?
 
Odgovor na temu

izonic
ishab zonic
Tuzla

Član broj: 38128
Poruke: 591
217.71.52.*

Sajt: www.icentar.ba


+2 Profil

icon Re: AutoCAD 14 i VB612.03.2005. u 23:25 - pre 183 meseci
Private Tacka As AcadPoint
Private Tekst As AcadText
Dim Podatak1(0 To 2) As Double
Dim Podatak2(0 To 2) As Double
'Podatak1(0)=x PODATAK
'Podatak1(1)=y PODATAK
'Podatak1(2)=0 -za 2d crtanje
Set Tacka = Dokument.ModelSpace.AddPoint(Podatak1)
Set Tekst = Dokument.ModelSpace.AddText(BrTacke, Podatak1, 1.5) ' 1.5 visina teksta,Brtacke-tekst
'valjda ce biti jasno.
'sretan rad
zxz
 
Odgovor na temu

anebojsa
Bgd

Član broj: 16174
Poruke: 84
*.vdial.verat.net.



Profil

icon Re: AutoCAD 14 i VB623.03.2005. u 18:43 - pre 182 meseci
hvala ti
Prilikom dodavanja dva layera kako da u kodu
pozivam i popunjavam layer(1), odnosno layer(2)
 
Odgovor na temu

[es] :: Visual Basic 6 :: AutoCAD 14 i VB6

[ Pregleda: 3878 | Odgovora: 4 ] > FB > Twit

Postavi temu Odgovori

Navigacija
Lista poslednjih: 16, 32, 64, 128 poruka.